IICHID(4)

NAME
iichid - I2C HID transport driver

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

device iichid

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    iichid_load="YES"

DESCRIPTION
The iichid driver provides a interface to I2C Human Interface Devices (HIDs).

SYSCTL VARIABLES
Next parameters are available as sysctl(8) variables. Debug parameter is available as loader(8) tunable as well.

dev.iichid.*.sampling_rate_fast
    Active sampling rate in num/second (for sampling mode).

dev.iichid.*.sampling_rate_slow
    Idle sampling rate in num/second (for sampling mode).

dev.iichid.*.sampling_hysteresis
    Number of missing samples before enabling of slow mode (for sampling mode).

hw.iichid.debug
    Debug output level, where 0 is debugging disabled and larger values increase debug message verbosity. Default is 0.

SEE ALSO
ig4(4)

BUGS
The iichid does not support GPIO interrupts yet. In that case iichid enables sampling mode with periodic polling of hardware by driver means. See dev.iichid.*.sampling_* sysctl(4) variables for tuning of sampling parameters.

HISTORY
The iichid driver first appeared in FreeBSD 13.0.

AUTHORS
-nosplit The iichid driver was written by Marc Priggemeyer <marc.priggemeyer@gmail.com> and Vladimir Kondratyev <wulf@FreeBSD.org>.

This manual page was written by Vladimir Kondratyev <wulf@FreeBSD.org>.